Subject: Re: bug#20233: 24.5rc1; tramp error opening file

From: Michael Albinus <[email-masked]>
Date: Tue, 31 Mar 2015 08:31:40 +0200

David Hull <[email-masked]> writes:

Hi David,

> I am running the emacs 24.5-rc1 version I downloaded from
> http://emacsformacosx.com/emacs-builds/Emacs-pretest-24.5-rc1-universal.dmg
>
> I started emacs with "emacs -Q".  I used tramp to open a remote directory
> in dired by typing "C-x C-f /cos6:src/ds-advertiser-server/src/", where
> cos6 is the hostname of a VM running on my Mac.  The VM is running
> CentOS 6.5.  The dired buffer opened normally.  I then moved the cursor
> to the filename "ds_adv_ox3_lineitem_v3.erl" and pressed the Enter key
> to open it, and I got the error, "Error copying: `tramp_exit_status 1'".
>
> This works correctly under emacs 24.4.

Could you, please, apply (setq tramp-verbose 6) and rerun your test?
There will be a Tramp debug buffer *debug tramp/scp cos6*; pls show it here.

Best regards, Michael.